STRUCT MATRIX_KEYMAP(9)

NAME
struct_matrix_keymap_data - keymap for matrix keyboards

SYNOPSIS

struct matrix_keymap_data {
  const uint32_t * keymap;
  unsigned int keymap_size;
};

MEMBERS

keymap
    pointer to array of uint32 values encoded with KEY macro representing keymap

keymap_size
    number of entries (initialized) in this keymap

DESCRIPTION

This structure is supposed to be used by platform code to supply keymaps to drivers that implement matrix-like keypads/keyboards.

COPYRIGHT